Skip to main content
POST
/
workspaces
/
invitations
Invite member
curl --request POST \
  --url https://app.freyavoice.ai/api/v2/workspaces/invitations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "jsmith@example.com",
  "roleId": "<string>",
  "message": "<string>",
  "skipEmail": false
}
'
{
  "success": true,
  "data": {
    "message": "<string>",
    "result": {
      "invitation": {
        "id": "<string>",
        "workspaceId": "<string>",
        "inviterId": "<string>",
        "email": "jsmith@example.com",
        "roleId": "<string>",
        "roleName": "<string>",
        "status": "<string>",
        "token": "<string>",
        "expiresAt": "<string>",
        "createdAt": "<string>",
        "updatedAt": "<string>",
        "acceptedAt": "<string>",
        "inviterEmail": "<string>",
        "inviterDisplayName": "<string>"
      },
      "emailWarning": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
email
string<email>
required

Email address to invite

roleId
string
required

Role id to assign

message
string

Optional invitation message

Maximum string length: 500
skipEmail
boolean
default:false

Skip sending invitation email

Response

Invitation sent

success
enum<boolean>
required
Available options:
true
data
object
required